summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorOleksandr Trotsenko <oleksandr.trotsenko@gmail.com>2018-05-04 12:38:14 -0500
committerPatrice Clement <monsieurp@gentoo.org>2018-05-04 22:49:09 +0200
commitbff79e3a7839d4af58b3f9cab048bfe33699e532 (patch)
treec3a882dddaa5a9c5d5d861e8eb30e5729d77f596 /dev-python
parentdev-java/tapestry: remove old. (diff)
downloadgentoo-bff79e3a7839d4af58b3f9cab048bfe33699e532.tar.gz
gentoo-bff79e3a7839d4af58b3f9cab048bfe33699e532.tar.bz2
gentoo-bff79e3a7839d4af58b3f9cab048bfe33699e532.zip
dev-python/ldap3: version bump.
Closes: https://bugs.gentoo.org/645752 Closes: https://github.com/gentoo/gentoo/pull/8259 Package-Manager: Portage-2.3.33, Repoman-2.3.9
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/ldap3/Manifest1
-rw-r--r--dev-python/ldap3/ldap3-2.4.1.ebuild33
2 files changed, 34 insertions, 0 deletions
diff --git a/dev-python/ldap3/Manifest b/dev-python/ldap3/Manifest
index 032a9a1b5e3..75435c071eb 100644
--- a/dev-python/ldap3/Manifest
+++ b/dev-python/ldap3/Manifest
@@ -1 +1,2 @@
DIST ldap3-2.2.3.tar.gz 331483 BLAKE2B a6479e6a02d0a0682b809cea2b63ff9ff3935f2d083b9dff3a02468d3a27cbc75dc69dff64f523c0b077f288b3e1e565433af13a607568617c309c3e894d7a62 SHA512 a954f6c582e88addf0bd6dc6fb24108d76d134b80c14a3dca0f9f667dbbfee484cb7b0444822f7e82a41af7dacf61ba111b6dcbf215b7f6df26a3784cfd2fc83
+DIST ldap3-2.4.1.tar.gz 345220 BLAKE2B bcf2ea46d483fd4fbfa7ba48e2a2e72061e82b56ac5bcad0e28aec0d52a723d5e5b2aad1f1c335977edeb260264a5603aa2a2bb726c08fd46a0215c46ad2f287 SHA512 716671c2d07c53d1953aab4668562a1b59a1e642b19d50f3cf05d44c74b6848a34b4197aa2c77f5b1d6b556ec0ca473b0495c24da74e2395aa20dffc8a0a360d
diff --git a/dev-python/ldap3/ldap3-2.4.1.ebuild b/dev-python/ldap3/ldap3-2.4.1.ebuild
new file mode 100644
index 00000000000..0b8cb7a8fa8
--- /dev/null
+++ b/dev-python/ldap3/ldap3-2.4.1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A strictly RFC 4511 conforming LDAP V3 pure Python client"
+HOMEPAGE="https://github.com/cannatag/ldap3 https://pypi.python.org/pypi/ldap3"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+# The tests are a mess, and the test config is not included in the
+# PyPi tarball (see https://travis-ci.org/cannatag/ldap3 and
+# https://github.com/cannatag/ldap3/blob/master/test/config.py).
+RESTRICT="test"
+
+RDEPEND="
+ dev-python/pyasn1[${PYTHON_USEDEP}]"
+
+DEPEND="
+ ${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/nose[${PYTHON_USEDEP}] )"
+
+python_test() {
+ nosetests -v -s test || die
+}